org.cybergarage.upnp.control

## Class ControlResponse

- java.lang.Object
- - org.cybergarage.http.HTTPPacket
  - - org.cybergarage.http.HTTPResponse
    - - org.cybergarage.soap.SOAPResponse
      - - org.cybergarage.upnp.control.ControlResponse

- Direct Known Subclasses:
    ActionResponse, QueryResponse

      public class ControlResponse
      extends SOAPResponse

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FAULT_CODE`
    `static String` | `FAULT_STRING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ControlResponse()`
    `ControlResponse(SOAPResponse soapRes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `UPnPStatus` | `getUPnPError()`
    `int` | `getUPnPErrorCode()`
    `String` | `getUPnPErrorDescription()`
    `void` | `setFaultResponse(int errCode)`
    `void` | `setFaultResponse(int errCode, String errDescr)`

    - ### Methods inherited from class org.cybergarage.soap.SOAPResponse

      `getBodyNode, getEnvelopeNode, getFaultActor, getFaultActorNode, getFaultCode, getFaultCodeNode, getFaultDetailNode, getFaultNode, getFaultString, getFaultStringNode, getMethodResponseNode, print, setContent, setEnvelopeNode`

    - ### Methods inherited from class org.cybergarage.http.HTTPResponse

      `getHeader, getStatusCode, getStatusLineString, isSuccessful, setStatusCode, toString`

    - ### Methods inherited from class org.cybergarage.http.HTTPPacket

      `addHeader, addHeader, clearHeaders, getCacheControl, getConnection, getContent, getContentInputStream, getContentLength, getContentRange, getContentRangeFirstPosition, getContentRangeInstanceLength, getContentRangeLastPosition, getContentString, getContentType, getDate, getFirstLine, getFirstLineToken, getHeader, getHeader, getHeaderString, getHeaderValue, getHost, getIntegerHeaderValue, getLongHeaderValue, getNHeaders, getServer, getStringHeaderValue, getStringHeaderValue, getTransferEncoding, getVersion, hasConnection, hasContent, hasContentInputStream, hasContentRange, hasFirstLine, hasHeader, hasTransferEncoding, init, isChunked, isCloseConnection, isKeepAliveConnection, read, set, set, set, set, setCacheControl, setCacheControl, setCacheControl, setConnection, setContent, setContent, setContent, setContent, setContentInputStream, setContentLength, setContentRange, setContentType, setDate, setHeader, setHeader, setHeader, setHeader, setHost, setIntegerHeader, setLongHeader, setServer, setStringHeader, setStringHeader, setTransferEncoding, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FAULT_CODE

          public static final String FAULT_CODE

      See Also:
        Constant Field Values

    - #### FAULT_STRING

          public static final String FAULT_STRING

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ControlResponse

          public ControlResponse()

    - #### ControlResponse

          public ControlResponse(SOAPResponse soapRes)

  - ### Method Detail

    - #### setFaultResponse

          public void setFaultResponse(int errCode,
                              String errDescr)

    - #### setFaultResponse

          public void setFaultResponse(int errCode)

    - #### getUPnPErrorCode

          public int getUPnPErrorCode()

    - #### getUPnPErrorDescription

          public String getUPnPErrorDescription()

    - #### getUPnPError

          public UPnPStatus getUPnPError()